﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static XKRS.Common.Model.Helper.EnumHelper;

namespace XKRS.Common.Interface
{
    public interface IProcess:ILogger,IExceptionHandler
    {

        #region 属性
        /// <summary>
        /// 流程使用的硬件设备集合
        /// </summary>
        List<IDevice> DeviceCollection { get; set; }

        #endregion

        #region 方法


        void Close();
        /// <summary>
        /// 初始化Process
        /// </summary>
        /// <param name="configPath"></param>
        void InitialProcess(string configPath);
        #endregion

        #region 事件
        //图像输出事件
        event Action<DeviceState> OnProcessStateChanged;
        event Action<IWarningSet> OnAlarmRaised;

        #endregion


    }
}
